Skip to content
Registry StackDocsDevelopment (unreleased)

Start one presentation exchange for the authenticated applicant

POST
/v1/sessions
curl --request POST \
--url https://example.com/v1/sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "policy": "example" }'
Media typeapplication/json
object
policy
required
string

Example generated

{
"policy": "example"
}

Session created

Media typeapplication/json
object
expiresAt
required
string format: date-time
reference
required
string
requestUri
required
string format: uri
walletInvocation
required

Openid4vp://authorize?client_id=…&request_uri=…

string

Example generated

{
"expiresAt": "2026-04-15T12:00:00Z",
"reference": "example",
"requestUri": "https://example.com",
"walletInvocation": "example"
}
Cache-Control
string
Allowed value: no-store
Traceparent
string
/^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$/

The W3C Trace Context version 0 field of the request, or a server-created one when the request carried none or an invalid or repeated one. tracestate is never answered.

The body is not a JSON object with one policy member

Media typeapplication/problem+json
object
detail
string
status
required
integer
title
required
string
type
required
string format: uri

Example generated

{
"detail": "example",
"status": 1,
"title": "example",
"type": "https://example.com"
}
Cache-Control
string
Allowed value: no-store
Traceparent
string
/^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$/

The W3C Trace Context version 0 field of the request, or a server-created one when the request carried none or an invalid or repeated one. tracestate is never answered.

The applicant token is missing or refused

Media typeapplication/problem+json
object
detail
string
status
required
integer
title
required
string
type
required
string format: uri

Example generated

{
"detail": "example",
"status": 1,
"title": "example",
"type": "https://example.com"
}
Cache-Control
string
Allowed value: no-store
Traceparent
string
/^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$/

The W3C Trace Context version 0 field of the request, or a server-created one when the request carried none or an invalid or repeated one. tracestate is never answered.

WWW-Authenticate
string
Allowed value: Bearer

The configured request deadline elapsed

Media typeapplication/problem+json
object
detail
string
status
required
integer
title
required
string
type
required
string format: uri

Example generated

{
"detail": "example",
"status": 1,
"title": "example",
"type": "https://example.com"
}
Cache-Control
string
Allowed value: no-store
Traceparent
string
/^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$/

The W3C Trace Context version 0 field of the request, or a server-created one when the request carried none or an invalid or repeated one. tracestate is never answered.

The request body exceeds the configured byte limit

Media typeapplication/problem+json
object
detail
string
status
required
integer
title
required
string
type
required
string format: uri

Example generated

{
"detail": "example",
"status": 1,
"title": "example",
"type": "https://example.com"
}
Cache-Control
string
Allowed value: no-store
Traceparent
string
/^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$/

The W3C Trace Context version 0 field of the request, or a server-created one when the request carried none or an invalid or repeated one. tracestate is never answered.

The request is not application/json

Media typeapplication/problem+json
object
detail
string
status
required
integer
title
required
string
type
required
string format: uri

Example generated

{
"detail": "example",
"status": 1,
"title": "example",
"type": "https://example.com"
}
Cache-Control
string
Allowed value: no-store
Traceparent
string
/^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$/

The W3C Trace Context version 0 field of the request, or a server-created one when the request carried none or an invalid or repeated one. tracestate is never answered.

No presentation policy has this identifier

Media typeapplication/problem+json
object
detail
string
status
required
integer
title
required
string
type
required
string format: uri

Example generated

{
"detail": "example",
"status": 1,
"title": "example",
"type": "https://example.com"
}
Cache-Control
string
Allowed value: no-store
Traceparent
string
/^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$/

The W3C Trace Context version 0 field of the request, or a server-created one when the request carried none or an invalid or repeated one. tracestate is never answered.

The applicant is creating sessions too quickly

Media typeapplication/problem+json
object
detail
string
status
required
integer
title
required
string
type
required
string format: uri

Example generated

{
"detail": "example",
"status": 1,
"title": "example",
"type": "https://example.com"
}
Cache-Control
string
Allowed value: no-store
Retry-After
integer
>= 1
Traceparent
string
/^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$/

The W3C Trace Context version 0 field of the request, or a server-created one when the request carried none or an invalid or repeated one. tracestate is never answered.

Session secrets or the request identity could not be produced

Media typeapplication/problem+json
object
detail
string
status
required
integer
title
required
string
type
required
string format: uri

Example generated

{
"detail": "example",
"status": 1,
"title": "example",
"type": "https://example.com"
}
Cache-Control
string
Allowed value: no-store
Traceparent
string
/^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$/

The W3C Trace Context version 0 field of the request, or a server-created one when the request carried none or an invalid or repeated one. tracestate is never answered.

The session store is full, the audit destination is stopped, or the token issuer is unavailable

Media typeapplication/problem+json
object
detail
string
status
required
integer
title
required
string
type
required
string format: uri

Example generated

{
"detail": "example",
"status": 1,
"title": "example",
"type": "https://example.com"
}
Cache-Control
string
Allowed value: no-store
Retry-After
integer
>= 1
Traceparent
string
/^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$/

The W3C Trace Context version 0 field of the request, or a server-created one when the request carried none or an invalid or repeated one. tracestate is never answered.